
package main

import (
	"fmt"
	"time"
	"example.com/genji"
)

func randTest(UserCode int32, dNr int16) bool {

	fmt.Println("\n***** Randome Bytes Test *****")

	for i:=0 ; i < 5 ; i++ {
		bRandData := make([]byte, 32)
		if 1 == genji.Dongle_GetRand(UserCode, 32, bRandData, dNr) {
			fmt.Println( "Random bytes:" )
			fmt.Println( "  " , bRandData , "\n")
			time.Sleep(1 * time.Second)

		}else{
			fmt.Println("GetRand error")
			return false;
		}
	}
	return true;
}
